com.hazelcast.config

## Class JobTrackerConfig

- java.lang.Object
- - com.hazelcast.config.JobTrackerConfig

- Direct Known Subclasses:
    JobTrackerConfigReadOnly

      public class JobTrackerConfig
      extends Object

  Contains the configuration for an `JobTracker`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_CHUNK_SIZE` Default value of chunk size.
    `static boolean` | `DEFAULT_COMMUNICATE_STATS` Default boolean value of communication statics.define how a map reduce job behaves
    `static int` | `DEFAULT_MAX_THREAD_SIZE` Default size of thread.
    `static int` | `DEFAULT_QUEUE_SIZE` Default value of Queue size.
    `static int` | `DEFAULT_RETRY_COUNT` Default value of retry counter.
    `static TopologyChangedStrategy` | `DEFAULT_TOPOLOGY_CHANGED_STRATEGY` Define how a map reduce job behaves.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobTrackerConfig()`
    `JobTrackerConfig(JobTrackerConfig source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobTrackerConfig` | `getAsReadOnly()` Deprecated. this method will be removed in 4.0; it is meant for internal usage only
    `int` | `getChunkSize()` Gets the number of emitted values before a chunk is send to the reducers.
    `int` | `getMaxThreadSize()` Gets the maximum thread pool size of this `JobTracker`.
    `String` | `getName()` Gets the name of this `JobTracker`.
    `int` | `getQueueSize()` Gets the maximum size of the queue; the maximum number of tasks that can wait to be processed.
    `int` | `getRetryCount()` retry count is currently not used but reserved for later use where the framework will automatically try to restart / retry operations from a available savepoint.
    `TopologyChangedStrategy` | `getTopologyChangedStrategy()` Gets how the map reduce framework will react on topology changes while executing a job.
    `boolean` | `isCommunicateStats()` True if statistics (for example, about processed entries) are transmitted to the job emitter, false otherwise.
    `void` | `setChunkSize(int chunkSize)` Sets the number of emitted values before a chunk is send to the reducers.
    `void` | `setCommunicateStats(boolean communicateStats)` Set to true if statistics (for example, about processed entries) should be transmitted to the job emitter, false otherwise.
    `void` | `setMaxThreadSize(int maxThreadSize)` Sets the maximum thread pool size of this `JobTracker`.
    `JobTrackerConfig` | `setName(String name)` Sets the name of this `JobTracker`.
    `void` | `setQueueSize(int queueSize)` Sets the maximum size of the queue; the maximum number of tasks that can wait to be processed.
    `void` | `setRetryCount(int retryCount)` retry count is currently not used but reserved for later use where the framework will automatically try to restart / retry operations from a available savepoint.
    `void` | `setTopologyChangedStrategy(TopologyChangedStrategy topologyChangedStrategy)` Sets how the map reduce framework will react on topology changes while executing a job.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_THREAD_SIZE

          public static final int DEFAULT_MAX_THREAD_SIZE

      Default size of thread.

    - #### DEFAULT_RETRY_COUNT

          public static final int DEFAULT_RETRY_COUNT

      Default value of retry counter.
      See Also:
        Constant Field Values

    - #### DEFAULT_CHUNK_SIZE

          public static final int DEFAULT_CHUNK_SIZE

      Default value of chunk size.
      See Also:
        Constant Field Values

    - #### DEFAULT_QUEUE_SIZE

          public static final int DEFAULT_QUEUE_SIZE

      Default value of Queue size.
      See Also:
        Constant Field Values

    - #### DEFAULT_COMMUNICATE_STATS

          public static final boolean DEFAULT_COMMUNICATE_STATS

      Default boolean value of communication statics.define how a map reduce job behaves
      See Also:
        Constant Field Values

    - #### DEFAULT_TOPOLOGY_CHANGED_STRATEGY

          public static final TopologyChangedStrategy DEFAULT_TOPOLOGY_CHANGED_STRATEGY

      Define how a map reduce job behaves.

  - ### Constructor Detail

    - #### JobTrackerConfig

          public JobTrackerConfig()

    - #### JobTrackerConfig

          public JobTrackerConfig(JobTrackerConfig source)

  - ### Method Detail

    - #### setName

          public JobTrackerConfig setName(String name)

      Sets the name of this `JobTracker`.
      Parameters:
        `name` - the name of the `JobTracker`
      Returns:
        the current job tracker config instance

    - #### getName

          public String getName()

      Gets the name of this `JobTracker`.
      Returns:
        the name of the `JobTracker`

    - #### getMaxThreadSize

          public int getMaxThreadSize()

      Gets the maximum thread pool size of this `JobTracker`.
      Returns:
        the maximum thread pool size of the `JobTracker`

    - #### setMaxThreadSize

          public void setMaxThreadSize(int maxThreadSize)

      Sets the maximum thread pool size of this `JobTracker`.
      Parameters:
        `maxThreadSize` - the maximum thread pool size of the `JobTracker`

    - #### getRetryCount

          public int getRetryCount()

      retry count is currently not used but reserved for later use where the framework will automatically try to restart / retry operations from a available savepoint.

    - #### setRetryCount

          public void setRetryCount(int retryCount)

      retry count is currently not used but reserved for later use where the framework will automatically try to restart / retry operations from a available savepoint.

    - #### getChunkSize

          public int getChunkSize()

      Gets the number of emitted values before a chunk is send to the reducers. If your emitted values are big, you might want to change this to a lower value. If you want to better balance your work, you might want to change this to a higher value. A value of 0 means immediate transmission, but remember that low values mean higher traffic costs. A very high value might cause an OutOfMemoryError to occur if emitted values do not fit into heap memory before being sent to reducers. To prevent this, you might want to use a combiner to pre-reduce values on mapping nodes.
      Returns:
        the number of emitted values before a chunk is sent to the reducers

    - #### setChunkSize

          public void setChunkSize(int chunkSize)

      Sets the number of emitted values before a chunk is send to the reducers. If your emitted values are big, you might want to change this to a lower value. If you want to better balance your work, you might want to change this to a higher value. A value of 0 means immediate transmission, but remember that low values mean higher traffic costs. A very high value might cause an OutOfMemoryError to occur if emitted values do not fit into heap memory before being sent to reducers. To prevent this, you might want to use a combiner to pre-reduce values on mapping nodes.
      Parameters:
        `chunkSize` - the number of emitted values before a chunk is sent to the reducers

    - #### getAsReadOnly

          public JobTrackerConfig getAsReadOnly()

      Deprecated. this method will be removed in 4.0; it is meant for internal usage only
      Gets immutable version of this configuration.
      Returns:
        immutable version of this configuration

    - #### getQueueSize

          public int getQueueSize()

      Gets the maximum size of the queue; the maximum number of tasks that can wait to be processed. A value of 0 means an unbounded queue.
      Returns:
        the maximum size of the queue

    - #### setQueueSize

          public void setQueueSize(int queueSize)

      Sets the maximum size of the queue; the maximum number of tasks that can wait to be processed. A value of 0 means an unbounded queue.
      Parameters:
        `queueSize` - the maximum size of the queue

    - #### isCommunicateStats

          public boolean isCommunicateStats()

      True if statistics (for example, about processed entries) are transmitted to the job emitter, false otherwise. This might be used to show any kind of progress to users inside of UI systems, but this produces additional traffic. If statistics are not needed, you might want to deactivate this.
      Returns:
        `true` if statistics (for example, about processed entries) are transmitted to the job emitter, `false` otherwise.

    - #### setCommunicateStats

          public void setCommunicateStats(boolean communicateStats)

      Set to true if statistics (for example, about processed entries) should be transmitted to the job emitter, false otherwise. This might be used to show any kind of progress to users inside of UI systems, but this produces additional traffic. If statistics are not needed, you might want to deactivate this.
      Parameters:
        `communicateStats` - `true` if statistics (for example, about processed entries) are transmitted to the job emitter, `false` otherwise.

    - #### getTopologyChangedStrategy

          public TopologyChangedStrategy getTopologyChangedStrategy()

      Gets how the map reduce framework will react on topology changes while executing a job. Currently only CANCEL_RUNNING_OPERATION is fully supported; it throws an exception to the job emitter (throws com.hazelcast.mapreduce.TopologyChangedException).
      Returns:
        How the map reduce framework will react on topology changes while executing a job.

    - #### setTopologyChangedStrategy

          public void setTopologyChangedStrategy(TopologyChangedStrategy topologyChangedStrategy)

      Sets how the map reduce framework will react on topology changes while executing a job. Currently only CANCEL_RUNNING_OPERATION is fully supported; it throws an exception to the job emitter (throws com.hazelcast.mapreduce.TopologyChangedException).
      Parameters:
        `topologyChangedStrategy` - How the map reduce framework will react on topology changes while executing a job.

Copyright © 2018. All rights reserved.